

<div class="absolute flex flex-col top-1/2 right-0 shadow-xl w-3/4 left-[12.5%] md:w-1/2 md:left-1/4" [style.top.px]="top" [@openClose]="isOpen ? 'open' : 'closed'" #modalElement>
    <div class="bg-titleBar flex rounded-t-lg justify-end p-2 relative z-20">
        <h5 class=" text-xl absolute w-full text-center -z-10">Information</h5>
        <app-icon-btn class="" (click)="onCloseBtnClicked($event)"></app-icon-btn>
    </div>
    <div class="px-2 pb-2 rounded-b-lg bg-contentBorder">
        <div class=" bg-contentBackground p-2 md:p-5">
            <h1 class="text-2xl text-center">{{ title }}</h1>
            <div class=" m-5">
                {{ content }}
            </div>
            <div class=" flex justify-around">
                <div class="flex">
                    <app-button text="Ok" (click)="onOkBtnClicked($event)"></app-button>
                </div>
            </div>
        </div>
    </div>
</div>
